org.wildfly.swarm.config.modcluster.mod_cluster_config.dynamic_load_provider

## Class LoadMetric<T extends LoadMetric<T>>

- java.lang.Object
- - org.wildfly.swarm.config.modcluster.mod_cluster_config.dynamic_load_provider.LoadMetric<T>

-     public class LoadMetric<T extends LoadMetric<T>>
      extends Object

  Load metric definition

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LoadMetric.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadMetric(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Double` | `capacity()` Capacity of the metric.
    `T` | `capacity(Double value)` Capacity of the metric.
    `String` | `getKey()`
    `Map` | `property()` Properties for the metric.
    `T` | `property(Map value)` Properties for the metric.
    `T` | `property(String key, Object value)` Properties for the metric.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `LoadMetric.Type` | `type()` Type of the metric
    `T` | `type(LoadMetric.Type value)` Type of the metric
    `Integer` | `weight()` Weight of the metric.
    `T` | `weight(Integer value)` Weight of the metric.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadMetric

          public LoadMetric(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### capacity

          public Double capacity()

      Capacity of the metric.

    - #### capacity

          public T capacity(Double value)

      Capacity of the metric.

    - #### property

          public Map property()

      Properties for the metric.

    - #### property

          public T property(Map value)

      Properties for the metric.

    - #### property

          public T property(String key,
                            Object value)

      Properties for the metric.

    - #### type

          public LoadMetric.Type type()

      Type of the metric

    - #### type

          public T type(LoadMetric.Type value)

      Type of the metric

    - #### weight

          public Integer weight()

      Weight of the metric.

    - #### weight

          public T weight(Integer value)

      Weight of the metric.

Copyright © 2017 JBoss by Red Hat. All rights reserved.